<?php

namespace Application\Model\Manager;

use Ainias\Core\Model\Manager\StandardManager;
use Application\Model\Repository\RatingRepository;
use Application\Model\Rating;

class RatingManager extends StandardManager
{
    /** @var RatingRepository  */
    protected $repository;

    public function __construct(RatingRepository $repository, Rating $entity = null)
    {
        $this->repository = $repository;
        parent::__construct($repository, $entity);
    }

    /**
     * @param int $id
     * @return Rating
     */
    public function getEntityById($id)
    {
        return parent::getEntityById($id);
    }
}